import acm.program.*;

/* A program that shows off the mechanics of pass-by-value. This program
 * prints $42 even though retireYoung reassigns myMoney because the
 * myMoney parameter is not the same as the myMoney variable in run.
 * 
 * I encourage you to play around with this program on your own time to
 * get a better sense for what works and what doesn't. Have questions?
 * Ask in the LaIR, email your section leader, or stop by our office
 * hours!
 */
public class RetireYoung extends ConsoleProgram {
	public void run() {
		int myMoney = 42;

		/* Hopefully, retire young! */
		retireYoung(myMoney);
		println("$" + myMoney);
	}
	
	private void retireYoung(int myMoney) {
		myMoney = 1000000000;
	}
}
